> ## Documentation Index
> Fetch the complete documentation index at: https://docs.devin.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 添付ファイルをアップロードする

> Devin セッションで使用できる添付ファイルをアップロードします。

<div id="permissions">
  ## 権限
</div>

組織レベルで `UseDevinSessions` 権限を持つサービスユーザーが必要です。


## OpenAPI

````yaml ja/v3-openapi.yaml POST /v3/organizations/{org_id}/attachments
openapi: 3.1.0
info:
  description: Service User 認証および RBAC に対応した Devin v3 API
  title: Devin API v3
  version: 3.0.0
servers: []
security:
  - bearerAuth: []
paths:
  /v3/organizations/{org_id}/attachments:
    post:
      tags:
        - attachments
      summary: 添付ファイルをアップロードする
      description: Devin セッションで使用できる添付ファイルをアップロードします。
      operationId: handle_upload_attachment_v3_organizations__org_id__attachments_post
      parameters:
        - description: '組織 ID（プレフィックス: org-）'
          in: path
          name: org_id
          required: true
          schema:
            example: org-abc123def456
            title: Org Id
            type: string
      requestBody:
        content:
          multipart/form-data:
            schema:
              $ref: >-
                #/components/schemas/Body_handle_upload_attachment_v3_organizations__org_id__attachments_post
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AttachmentResponse'
          description: 成功時のレスポンス
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: 検証エラー
components:
  schemas:
    Body_handle_upload_attachment_v3_organizations__org_id__attachments_post:
      properties:
        file:
          format: binary
          title: File
          type: string
      required:
        - file
      title: Body_handle_upload_attachment_v3_organizations__org_id__attachments_post
      type: object
    AttachmentResponse:
      properties:
        attachment_id:
          title: Attachment Id
          type: string
        name:
          title: Name
          type: string
        url:
          title: Url
          type: string
      required:
        - attachment_id
        - name
        - url
      title: AttachmentResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    bearerAuth:
      description: 'サービスユーザーの認証情報（接頭辞: cog_）'
      scheme: bearer
      type: http

````